Ledger
Rule Packs
Event-to-journal posting rules
Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
entityId?string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/rule-packs"{ "packs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "version": "string", "layer": "string", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "status": "string", "effectiveDate": "2019-08-24", "rules": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "eventType": "string", "dslSource": "string", "priority": 0 } ], "activatedFor": [ "d386a81e-fc7b-4b82-bd48-41494b80e691" ], "createdAt": "2019-08-24T14:15:22Z" } ], "books": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "string", "rulePackId": "35f68133-5ea9-425e-bc90-c667b45faa42" } ]}{ "error": "string"}Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/rule-packs" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "version": "string", "layer": "string", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "status": "string", "effectiveDate": "2019-08-24", "rules": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "eventType": "string", "dslSource": "string", "priority": 0 } ], "activatedFor": [ "d386a81e-fc7b-4b82-bd48-41494b80e691" ], "createdAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/rule-packs" \ -H "Content-Type: application/json" \ -d '{ "action": "activate_pack", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "packId": "76be6288-f84b-4cef-9c7f-e3c35001eada" }'{ "activated": 0, "deactivated": 0, "bookIds": [ "ac5897d9-8f0d-4888-b234-6ace6ec4989c" ]}{ "error": "string"}{ "error": "string"}Empty